

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes slideInFromBottom {
    0% {
        transform: translateY(0);
    }
    100% {
        transform: translateY(-80vh);
    }
}
@keyframes slideOutFromBottom {
    0% {
        opacity: 1;
        transform: translateY(-80vh);
    }
    100% {
        opacity: 0;
        transform: translateY(0);
    }
}






.contact {

    width: 100%;


    opacity: 1;
    animation: fadeIn 500ms ease-in-out;
}

.contact__form {
    margin: 0 0 15% 0;
}

.contact__content {
    display: block;
    margin: 0 0 10% 0;
    width: 100%;
}

.contact__info {
    width: 100%;
    height: calc(100vh - 80px);
    overflow: hidden;
    display: block;
}

.info-widgets--tablet {
    width: 100%;
}

.icon {
    z-index: 0;
}

.info-title, .contact-title {
    color: #bbbbbb;
}

.card-text {
    color: #bfbfbf;
}

.title-container {
    width: 100%;
    display: grid;
    place-items: center;
    margin: 5% 0;
}


.corner-container {
    background-color: dimgray;
    width: 100%;
}

.corner-content {
    width: 100%;
    height: 14vh;
    background-color: #0d0d0d;
    border-bottom-left-radius: 180px;
}


.contact__container-wrapper--tablet--hide {
    animation: slideOutFromBottom 650ms ease-in-out;
    transform: translateY(0);
}

.contact__container-wrapper--tablet--display {
    animation: slideInFromBottom 650ms ease-in-out;
    transform: translateY(-80vh);
    position: fixed;
}

.contact__form-background {
    width: 100%;
    background-color: #222;
    display: grid;
    place-items: center;
    padding: 5%;
    border-top: #2e2e2e 10px solid;
    border-bottom: #1b1b1b 30px solid;
    height: 80vh;
    margin-bottom: -50vh;
}

.contact__container--tablet {
    width: 40%;
}

.contact__container--mobile {
    width: 100%;
}


.footer__pages a:link, .footer__pages a:visited, .footer__pages a:active {
    color: #ddd;
}

.contact-info {
    margin-left: 6%;
    color: #dddddd;
    font-size: 1.1em;
    position: absolute;
    bottom: 8%;
}

.contact__info--appended-margin {
    margin-bottom: 80px;
    transition: opacity 1s ease-in;
    opacity: 0;
}

.imgIll {
    padding: 5%;
    display: grid;
    place-items: center;
    height: calc(100vh - 80px - 100px);
}

.imgIll img {
    border-radius: 10px;
    max-width: 630px;
}

.scroll-icon{

    box-sizing: border-box;
    border: solid 4px #fff;
    display: block;
    position: absolute;
    right: 6%;
    bottom: 8%;
    height: 48px;
    width: 32px;
    border-radius: 32px;
    opacity: 0.5;
    background-color: #2f2f2f;
}

.scroll-icon--hidden {
    /*
    visibility: hidden;
     */
    transition: opacity 1s ease-in-out;
    opacity: 0;
}

.scroll-icon::before{
    content: "";
    width: 8px;
    height: 8px;
    background-color: #fff;
    position: absolute;
    top: 8px;
    left: 8px;
    border-radius: 100%;
    animation: mouse 3s infinite;
}

@keyframes mouse{
    0%  {transform: none;             opacity: 1;}
    40% {transform: translateY(16px);            }
    80% {transform: translateY(16px); opacity: 0;}
    100%{transform: translateY(16px); opacity: 0;}
}

#contact__content {
    height: 150px;
}
